/*
 *  stackdump.h
 *
 *  Created by Hans van der Meer on 05-08-08.
 *  Copyright 2008 hvandermeer.com. All rights reserved.
 *
 */

#ifndef STACKDUMP_H
#define STACKDUMP_H

#include "lua.h"

/* api prototypes */

/* stack dump facility for lua C-code. */
void entryprint(lua_State *, const int, const char *);
void tableprint(lua_State *, const int, const char *);
void stackdump(lua_State *, const char*, const bool);

#endif /* STACKDUMP_H */
